diff --git a/test/compile-asdf.lisp b/test/compile-asdf.lisp
index 52f05a5..437db7f 100644
--- a/test/compile-asdf.lisp
+++ b/test/compile-asdf.lisp
@@ -22,8 +22,9 @@
      (multiple-value-bind (result warnings-p errors-p)
          ;; style warnings shouldn't abort the compilation [2010/02/03:rpg]
          (handler-bind (#+sbcl (sb-c::simple-compiler-note #'muffle-warning)
-                        #+ecl ((or c:compiler-note c::compiler-debug-note
-                                   c:compiler-warning) ;; ECL emits more serious warnings than it should.
+                        #+(and ecl (not ecl-bytecmp))
+			((or c:compiler-note c::compiler-debug-note
+			     c:compiler-warning) ;; ECL emits more serious warnings than it should.
                                #'muffle-warning)
 			#-(or cmu scl)
                         (style-warning
diff --git a/test/run-tests.sh b/test/run-tests.sh
index c0839c3..be5bebf 100755
--- a/test/run-tests.sh
+++ b/test/run-tests.sh
@@ -133,7 +133,11 @@ case "$lisp" in
     eval="-eval" ;;
   ecl)
     command="${ECL:-ecl}"
-    flags="-norc"
+    flags="-norc -load sys:cmp"
+    eval="-eval" ;;
+  ecl-bytecodes)
+    command="${ECL:-ecl}"
+    flags="-norc -eval (ext::install-bytecodes-compiler)"
     eval="-eval" ;;
   gclcvs)
     export GCL_ANSI=t
